<?php

/*
Copyright 2017 CryptoPhoto <support@cryptophoto.com>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 2, as 
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
*/

/**
 * @file
 * cryptophoto pages.
 */

/**
 * Form to create a new code.
 *
 */
function cryptophoto_settings_form($form, &$form_state, $account) {
  $form['cryptophoto_settings'] = array(
    '#type' => 'container',
    '#title' => t('CryptoPhoto Settings'),
    '#prefix' => '<h2>' . t('CryptoPhoto Settings') . '</h2><p>&nbsp;</p>',
  );

  $status = FALSE;

  $result = db_select('cryptophoto_login')
    ->fields('cryptophoto_login', array('keydata'))
    ->condition('name', $account->uid)
    ->execute()
    ->fetchAssoc();

  if (!$result) {
    $result = db_merge('cryptophoto_login')
      ->key(array('name' => $account->uid))
      ->fields(array('keydata' => "false"))
      ->execute();
  } 
  elseif ($result["keydata"] == "true") {
    $status = TRUE;
  }

  $form['cryptophoto_settings']['status'] = array(
    '#markup' => '<p>' . t('Your CryptoPhoto Authentication service is: <b>!status</b>' ,
      array('!status' => $status ? "active" :"inactive")
    ) . '</p>',
  );
  $form['status'] = array(
    '#type' => 'hidden',
    '#value' => !$status ? 1 : 0,
  );
  $form['cryptophoto_settings']['submit_button'] = array(
    '#type' => 'submit',
    '#value' => $status ? t("Deactivate") : t("Activate"),
    '#submit' => array('cryptophoto_settings_form_submit'),
  );
  $form['cpwidget'] = array(
    '#markup' => '<div id="cp_widget" class="cp_widget"><img src="' . base_path() . drupal_get_path('module', 'cryptophoto') . '/resources/loading.gif" style="margin:20px;width:16px;height:16px"></div>' ,
  );

  if (_cryptophoto_is_configured()) {

    $cp = _cryptophoto_get_class($account->uid);
    $cp->start_session($_SERVER['REMOTE_ADDR'], FALSE);

    if ($cp->is_valid) {
      
      $host = variable_get('cryptophoto_host', 'https://cryptophoto.com');
      $form['cpwidgetjs'] = array(
        '#markup' => '<script src="' . $host . '/api/token?sd=' . $cp->sid . '" async="true"></script>' ,
      );

    }
  }
  return $form;
}

function cryptophoto_settings_form_submit($form, &$form_state) {
  global $user;
  
  $status = $form_state['values']['status'] == "1" ? TRUE : FALSE;

  $result = db_merge('cryptophoto_login')
      ->key(array('name' => $user->uid))
      ->fields(array('keydata' => $status ? "true" : "false"))
      ->execute();
}

