<?php

/*
Copyright 2017 CryptoPhoto <support@cryptophoto.com>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 2, as 
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
*/

/**
 * @file
 * Titles.
 */

// Config title strings.
$cryptophoto_titles['publickey'] = t('Public Key');
$cryptophoto_titles['privatekey'] = t('Private key');
$cryptophoto_titles['salt'] = t('Salt');
$cryptophoto_titles['host'] = t('Server');
$cryptophoto_titles['test_button'] = t('Test configuration');
$cryptophoto_titles['wizard_button'] = t('Setup wizard');

/**
 * Descriptions.
 */

// Config description strings.
$cryptophoto_descriptions['publickey'] = t('Your CryptoPhoto API Public Key');
$cryptophoto_descriptions['privatekey'] = t('Your CryptoPhoto API Private Key');
$cryptophoto_descriptions['host'] = t('Set a server URL if you\'re using a CryptoPhoto appliance, otherwise leave this field as is.');
$cryptophoto_descriptions['salt'] = t('The "Salt" is used to create unique user IDs. It is recommended to use a random string. Once set to a certain value, do not to change it, or the CryptoPhoto settings for all the site users will be reset.');

/**
 * Success Messages.
 */
$cryptophoto_success['test-configuration'] = t('The configuration options have been saved and tested successfully.');

/**
 * Error Messages.
 */

// Login errors.
$cryptophoto_error['publickey'] = t('You must enter a valid API Public Key');
$cryptophoto_error['privatekey'] = t('You must enter a valid API Private Key');
$cryptophoto_error['salt'] = t('You must enter a valid Salt string');
$cryptophoto_error['host'] = t('You must enter a host name');

// Config Testing Errors
$cryptophoto_error['timestamp'] = t('Please verify that the date/time is properly set on this server.');
$cryptophoto_error['invalid'] = t('Please verify that the API keys are valid.');
$cryptophoto_error['empty'] = t('Please configure and save your API keys and salt.');
$cryptophoto_error['other'] = t('Unknown error.');
$cryptophoto_error['ip_start'] = t('The IP of this server ');
$cryptophoto_error['ip_end'] = t(' is not added to the list of allowed IPs. Check your settings in your CryptoPhoto.com account.');
$cryptophoto_error['missing'] = t('Missing codes');
$cryptophoto_error['unmatched'] = t('Codes don\'t match');

/**
 * Menus.
 */
$cryptophoto_menu['config_title'] = t('CryptoPhoto Module Configuration');
$cryptophoto_menu['config_desc'] = t('Configuration for CryptoPhoto module');
$cryptophoto_menu['user_title'] = t('CryptoPhoto');

/**
 * Labels.
 */
$cryptophoto_label['activate'] = t('Activate CryptoPhoto Protection');
$cryptophoto_label['deactivate'] = t('Deactivate CryptoPhoto Protection');

/**
 * Permissions.
 */
$cryptophoto_permission['title'] = t('Access CryptoPhoto Authentication');
$cryptophoto_permission['description'] = t('Allows users to enroll tokens and use CryptoPhoto authentication.');

/**
 * Help.
 */

$cryptophoto_help['markup'] = '<p>' . t("CryptoPhoto is the world's easiest-to-use, fastest, and most secure two-factor (and optionally multi-factor) authentication. Logins are usually as fast and easy as \"one tap\", and no training is needed.") . 
             '</p><p>' . t("After installation, users will see a new \"CryptoPhoto\" menu item, which they can use themselves to activate and download printable tokens, or install the CryptoPhoto app to connect their smartphones or tablets (iOS, Android, WindowsPhone, and Blackberry).") .
             '</p><p>' . t("More information <a href='https://cryptophoto.com/info/drupal' target='_blank'>here</a>.") . '</p>';